Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.java
Class SimpleTypeMetadataSequencer

    java.lang.Object
      org.modeshape.sequencer.java.SimpleTypeMetadataSequencer

    public class SimpleTypeMetadataSequencer

extends Object

The sequencer of the `SimpleTypeFieldMetadata`

Method Summary
`static Path` | `createRootPath(PathFactory pathFactory, Path basePath)` the root path.
`static Path` | `createSimpleTypeParamPath(PathFactory pathFactory, Path rootPath)` Create the path of parameter.
`static void` | `sequenceConstructorSimpleTypeName(SimpleTypeFieldMetadata simpleTypeFieldMetadata, Path rootPath, SequencerOutput output, NameFactory nameFactory, PathFactory pathFactory)` Sequence the type name of the simple type.
`static void` | `sequenceMethodFormalParam(SequencerOutput output, NameFactory nameFactory, PathFactory pathFactory, SimpleTypeFieldMetadata simpleTypeFieldMetadata, Path methodParamRootPath)`
`static void` | `sequenceMethodReturnType(SequencerOutput output, NameFactory nameFactory, PathFactory pathFactory, SimpleTypeFieldMetadata simpleTypeFieldMetadata, Path methodRootPath)` Sequence the return type of a method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### sequenceMethodFormalParam

    public static void sequenceMethodFormalParam(SequencerOutput output,
                                                 NameFactory nameFactory,
                                                 PathFactory pathFactory,
                                                 SimpleTypeFieldMetadata simpleTypeFieldMetadata,
                                                 Path methodParamRootPath)

  Parameters:
    `output` -
    `nameFactory` -
    `pathFactory` -
    `simpleTypeFieldMetadata` -
    `methodParamRootPath` -

### createRootPath

    public static Path createRootPath(PathFactory pathFactory,
                                      Path basePath)

  the root path.

  Parameters:
    `pathFactory` - the path factory
    `basePath` - - the base path to use to build a root path.
  Returns:
    the root path, that is compose from other base path.

### sequenceConstructorSimpleTypeName

    public static void sequenceConstructorSimpleTypeName(SimpleTypeFieldMetadata simpleTypeFieldMetadata,
                                                         Path rootPath,
                                                         SequencerOutput output,
                                                         NameFactory nameFactory,
                                                         PathFactory pathFactory)

  Sequence the type name of the simple type.

  Parameters:
    `simpleTypeFieldMetadata` - - the `SimpleTypeFieldMetadata`.
    `rootPath` - - the path.
    `output` - - the `SequencerOutput`.
    `nameFactory` - - the `NameFactory`.
    `pathFactory` - - the `PathFactory`.

### createSimpleTypeParamPath

    public static Path createSimpleTypeParamPath(PathFactory pathFactory,
                                                 Path rootPath)

  Create the path of parameter.

  Parameters:
    `pathFactory` - - The `PathFactory`.
    `rootPath` - - the root path need to build the path.
  Returns:
    the path of a variable node.

### sequenceMethodReturnType

    public static void sequenceMethodReturnType(SequencerOutput output,
                                                NameFactory nameFactory,
                                                PathFactory pathFactory,
                                                SimpleTypeFieldMetadata simpleTypeFieldMetadata,
                                                Path methodRootPath)

  Sequence the return type of a method.

  Parameters:
    `output` -
    `nameFactory` -
    `pathFactory` -
    `simpleTypeFieldMetadata` -
    `methodRootPath` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.